# pandas.api.types.is_datetime64tz_dtype

`pandas.api.types.``is_datetime64tz_dtype`(arr_or_dtype)

  Check whether an array-like or dtype is of a DatetimeTZDtype dtype.

  Parameters:

  arr_or_dtype : array-like

  > The array-like or dtype to check.

  Returns:

  boolean : Whether or not the array-like or dtype is of

  > a DatetimeTZDtype dtype.

  Examples

      >>> is_datetime64tz_dtype(object)
      False
      >>> is_datetime64tz_dtype([1, 2, 3])
      False
      >>> is_datetime64tz_dtype(pd.DatetimeIndex([1, 2, 3]))  # tz-naive
      False
      >>> is_datetime64tz_dtype(pd.DatetimeIndex([1, 2, 3], tz="US/Eastern"))
      True

      >>> dtype = DatetimeTZDtype("ns", tz="US/Eastern")
      >>> s = pd.Series([], dtype=dtype)
      >>> is_datetime64tz_dtype(dtype)
      True
      >>> is_datetime64tz_dtype(s)
      True

Scroll To Top